Skip to main content
POST
/
api
/
v1
/
accounts
/
{account_id}
/
conversations
/
{conversation_id}
/
toggle_typing_status
Toggle Typing Status
curl --request POST \
  --url https://app.chatwoot.com/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_typing_status \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "typing_status": "on",
  "is_private": false
}
'
{
  "description": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>",
      "code": "<string>"
    }
  ]
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

Body

application/json
typing_status
enum<string>
required

Typing status to set.

Available options:
on,
off
Example:

"on"

is_private
boolean

Whether the typing event is for private notes.

Example:

false

Response

Success